﻿ EXEC P_ALTERPK 'PK_GCM_TICKETSMAKE', 'T_GCM_TICKETSMAKE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GCM_TICKETSMAKE_FNUMBER') CREATE INDEX IDX_GCM_TICKETSMAKE_FNUMBER ON T_GCM_TICKETSMAKE ( FNUMBER );

 
 EXEC P_ALTERPK 'PK_GCM_TICKETRECEIVE', 'T_GCM_TICKETRECEIVE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GCM_TICKETRECEIVE_BILLNO') CREATE INDEX IDX_GCM_TICKETRECEIVE_BILLNO ON T_GCM_TICKETRECEIVE ( FBILLNO );


 EXEC P_ALTERPK 'PK_GCM_TICKETRECEIVEENTRY', 'T_GCM_TICKETRECEIVEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GCM_TICKETRECEIVEENTRY_ID') CREATE INDEX IDX_GCM_TICKETRECEIVEENTRY_ID ON T_GCM_TICKETRECEIVEENTRY ( FID );

 
 EXEC P_ALTERPK 'PK_GCM_TICKETACTIONFLOW', 'T_GCM_TICKETACTIONFLOW', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GCM_TICKETAFLOW_FBILLNO') CREATE INDEX IDX_GCM_TICKETAFLOW_FBILLNO ON T_GCM_TICKETACTIONFLOW ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GCM_TICKETAFLOW_FTICKETID') CREATE INDEX IDX_GCM_TICKETAFLOW_FTICKETID ON T_GCM_TICKETACTIONFLOW ( FTICKETID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GCM_TICKETAFLOW_ORMID') CREATE INDEX IDX_GCM_TICKETAFLOW_ORMID ON T_GCM_TICKETACTIONFLOW ( FBILLFORMID );
 
 
  EXEC P_ALTERPK 'PK_GCM_TICKETSPUBLISH', 'T_GCM_TICKETSPUBLISH', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GCM_TICKETSPUBLISH_BILLNO') CREATE INDEX IDX_GCM_TICKETSPUBLISH_BILLNO ON T_GCM_TICKETSPUBLISH ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GCM_TICKETSPUBLISH_ORGBRID') CREATE INDEX IDX_GCM_TICKETSPUBLISH_ORGBRID ON T_GCM_TICKETSPUBLISH ( FBIZORGID ,FBRANCHID );
 
  EXEC P_ALTERPK 'PK_GCM_TICKETSRETURN', 'T_GCM_TICKETSRETURN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GCM_TICKETSRETURN_BILLNO') CREATE INDEX IDX_GCM_TICKETSRETURN_BILLNO ON T_GCM_TICKETSRETURN ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GCM_TICKETSRETURN_ORGBRID') CREATE INDEX IDX_GCM_TICKETSRETURN_ORGBRID ON T_GCM_TICKETSRETURN ( FBIZORGID ,FBRANCHID );

 EXEC P_ALTERPK 'PK_GCM_TICPPAYMODEENTRY', 'T_GCM_TICPPAYMODEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GCM_TICPPAYMODEENTRY_ID') CREATE INDEX IDX_GCM_TICPPAYMODEENTRY_ID ON T_GCM_TICPPAYMODEENTRY ( FID );

  EXEC P_ALTERPK 'PK_GCM_TICPTICENTRY', 'T_GCM_TICPTICENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GCM_TICPTICENTRY_FID') CREATE INDEX IDX_GCM_TICPTICENTRY_FID ON T_GCM_TICPTICENTRY ( FID );
 
 
  EXEC P_ALTERPK 'PK_GCM_TICRRETURNENTRY', 'T_GCM_TICRRETURNENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GCM_TICRRETURNENTRY_ID') CREATE INDEX IDX_GCM_TICRRETURNENTRY_ID ON T_GCM_TICRRETURNENTRY ( FID );
 
  EXEC P_ALTERPK 'PK_GCM_TICRTICENTRY', 'T_GCM_TICRTICENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GCM_TICRTICENTRY_FID') CREATE INDEX IDX_GCM_TICRTICENTRY_FID ON T_GCM_TICRTICENTRY ( FID );